<mat-card>
  <mat-card-title>Order Summary</mat-card-title>
  <mat-card-subtitle
    >You have {{ cart?.totalItemsCount }} items in your shopping
    cart.</mat-card-subtitle
  >
  <mat-card-content>
    <ul class="cart">
      <li *ngFor="let item of cart.items" class="cart-item">
        {{ item?.quantity }} x {{ item?.title }}
        <div class="total-item-price">
          {{ item?.totalPrice | currency: "USD" }}
        </div>
      </li>
      <li class="total-cart">
        Total
        <div class="total-cart-price">
          {{ cart?.totalPrice | currency: "USD" }}
        </div>
      </li>
    </ul>
  </mat-card-content>
</mat-card>
